%define upstream_name    autovivification
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9
Summary:    Lexically disable autovivification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel
%description
When an undefined variable is dereferenced, it gets silently upgraded to an
array or hash reference (depending of the type of the dereferencing). This
behaviour is called autovivification and usually does what you mean (e.g. when
you store a value) but it may be unnatural or surprising because your variables
gets populated behind your back. This is especially true when several levels of
dereferencing are involved, in which case all levels are vivified up to the
last, or when it happens in intuitively read-only constructs like exists.

This pragma lets you disable autovivification for some constructs and
optionally throws a warning or an error when it would have happened.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README samples
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Mon Jun 06 2022 umeabot <umeabot> 0.180.0-9.mga9
+ Revision: 1861543
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.180.0-8.mga9
+ Revision: 1795488
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.180.0-7.mga9
+ Revision: 1726394
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.180.0-6.mga8
+ Revision: 1594282
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.180.0-5.mga8
+ Revision: 1529124
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.180.0-4.mga8
+ Revision: 1433133
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.180.0-3.mga7
+ Revision: 1294078
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 0.180.0-2.mga7
+ Revision: 1248094
- bump rel.
- Rebuild for new perl 5.28.0

* Mon Nov 06 2017 tv <tv> 0.180.0-1.mga7
+ Revision: 1176190
- update to 0.18

* Mon Oct 02 2017 tv <tv> 0.170.0-2.mga7
+ Revision: 1163150
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 guillomovitch <guillomovitch> 0.170.0-1.mga7
+ Revision: 1156360
- new version 0.17

* Thu Aug 31 2017 pterjan <pterjan> 0.160.0-4.mga7
+ Revision: 1148649
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.160.0-3.mga7
+ Revision: 1126664
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-2.mga6
+ Revision: 1022685
- Rebuild for perl 5.22.2

* Mon Dec 28 2015 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 916572
- imported package perl-autovivification


* Mon Dec 28 2015 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
